Updates config info
PUThttps://apis.<domain>/iot/edge/configs/:configId
Update is performed by replacing the current resource data with values provided in a request payload. Note that the owner, ID, init ID, init key, Connhex Thing ID and key cannot be changed.
Authorization Action:
core:config:update
Request
Path Parameters
configId uuidrequired
Unique Config identifier. It's the ID of the corresponding Thing.
- application/json
Body
JSON-formatted document describing the updated thing.
contentstringrequired
namestringrequired
Responses
- 200
- 400
- 401
- 404
- 415
- 500
Config updated.
Bad request.
Unauthorized.
Config not found.
Missing or unsupported content type.
Unexpected server error.
Authorization: http
name: bearerTokentype: httpscheme: bearerin: headerdescription: Authorization Header: `Authorization: Bearer <user_token>`
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://apis.<domain>/iot/edge/configs/:configId");
request.Headers.Add("Authorization", "Bearer <token>");
var content = new StringContent("{\n \"content\": \"string\",\n \"name\": \"string\"\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());